Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# CORBA_Pollable_var Class Reference

`#include <PollableC.h>`

Inheritance diagram for CORBA_Pollable_var

[legend]
Collaboration diagram for CORBA_Pollable_var:

[legend]
List of all members.

## Public Methods
| CORBA_Pollable_var (void)
| CORBA_Pollable_var (CORBA_Pollable_ptr p)
| CORBA_Pollable_var (const CORBA_Pollable_var &)
| ~CORBA_Pollable_var (void)
CORBA_Pollable_var& | operator= (CORBA_Pollable_ptr)
CORBA_Pollable_var& | operator= (const CORBA_Pollable_var &)
CORBA_Pollable_ptr | operator-> (void) const
| operator const CORBA_Pollable_ptr & () const
| operator CORBA_Pollable_ptr & ()
CORBA_Pollable_ptr | in (void) const
CORBA_Pollable_ptr& | inout (void)
CORBA_Pollable_ptr& | out (void)
CORBA_Pollable_ptr | _retn (void)
CORBA_Pollable_ptr | ptr (void) const
## Static Public Methods
CORBA_Pollable_ptr | tao_duplicate (CORBA_Pollable_ptr)
void | tao_release (CORBA_Pollable_ptr)
CORBA_Pollable_ptr | tao_nil (void)
CORBA_Pollable_ptr | tao_narrow (CORBA::Object *, CORBA::Environment &)
CORBA::Object* | tao_upcast (void *)
## Private Methods
| CORBA_Pollable_var (const TAO_Base_var &rhs)
CORBA_Pollable_var& | operator= (const TAO_Base_var &rhs)
## Private Attributes
CORBA_Pollable_ptr | ptr_

## Constructor & Destructor Documentation

CORBA_Pollable_var::CORBA_Pollable_var ( | void )

CORBA_Pollable_var::CORBA_Pollable_var ( | CORBA_Pollable_ptr p )`[inline]`

CORBA_Pollable_var::CORBA_Pollable_var ( | const CORBA_Pollable_var & )

CORBA_Pollable_var::~CORBA_Pollable_var ( | void )

CORBA_Pollable_var::CORBA_Pollable_var ( | const TAO_Base_var & rhs )`[private]`

## Member Function Documentation

CORBA_Pollable_ptr CORBA_Pollable_var::_retn ( | void )

CORBA_Pollable_ptr CORBA_Pollable_var::in ( | void ) const

CORBA_Pollable_ptr& CORBA_Pollable_var::inout ( | void )

CORBA_Pollable_var::operator CORBA_Pollable_ptr & ( | )

CORBA_Pollable_var::operator const CORBA_Pollable_ptr & ( | ) const

CORBA_Pollable_ptr CORBA_Pollable_var::operator-> ( | void ) const

CORBA_Pollable_var& CORBA_Pollable_var::operator= ( | const TAO_Base_var & rhs )`[private]`

CORBA_Pollable_var& CORBA_Pollable_var::operator= ( | const CORBA_Pollable_var & )

CORBA_Pollable_var& CORBA_Pollable_var::operator= ( | CORBA_Pollable_ptr )

CORBA_Pollable_ptr& CORBA_Pollable_var::out ( | void )

CORBA_Pollable_ptr CORBA_Pollable_var::ptr ( | void ) const

CORBA_Pollable_ptr CORBA_Pollable_var::tao_duplicate ( | CORBA_Pollable_ptr )`[static]`

CORBA_Pollable_ptr CORBA_Pollable_var::tao_narrow ( | CORBA::Object *,
| CORBA::Environment & )`[static]`

CORBA_Pollable_ptr CORBA_Pollable_var::tao_nil ( | void )`[static]`

void CORBA_Pollable_var::tao_release ( | CORBA_Pollable_ptr )`[static]`

CORBA::Object* CORBA_Pollable_var::tao_upcast ( | void * )`[static]`

## Member Data Documentation

CORBA_Pollable_ptr CORBA_Pollable_var::ptr_`[private]`

The documentation for this class was generated from the following file:

- PollableC.h